#QBPlay_Version     = 1.5

#QBPlay_SampleRate  = 44100
#QBPlay_BitRate     = 16 ; 16 Bit only at the moment
#C0                 = 32.7031956 ; Hz of deepest note with id noteID = 1
#QBPlay_MaxInstrumentID = 6

Enumeration ; instrument-IDs
  #QBPlay_Tone_Rect                 ; 0
  #QBPlay_Tone_Saw                  ; 1
  #QBPlay_Tone_Sin                  ; 2
  #QBPlay_Tone_Tan                  ; 3
  #QBPlay_Tone_Dirac                ; 4
  #QBPlay_Tone_Organ                ; 5
  #QBPlay_Tone_ChurchOrgan          ; 6
EndEnumeration

Structure WAVEFORMATEX
  wFormatTag.w
  nChannels.w
  nSamplesPerSec.l
  nAvgBytesPerSec.l
  nBlockAlign.w
  wBitsPerSample.w 
  cbSize.w
EndStructure

Structure QBSong_ToneData
  id.l                ; holds the current tone-id
  attack.l            ; holds the current attack-value (in ms)
  sustain.l           ; holds the current sustain-value (in ms)
  volume.l            ; holds the current volume (0 to 100)
  pan.l               ; holds the current pan (-100 to 100)
EndStructure

Structure QBSong_ParseData
  playStr.s           ; contains the complete string to play
  playStrLen.l        ; contains the length of the string
  actPos.l            ; actual parsing position
  tempo.l             ; current tempo in bpm
  octave.l            ; current octave (each reaching from 'c' to 'b') from 0-7
  Length.l            ; current note-length (1,2,...64)
  legato.l            ; percent of note to hear (normal = 80, legato = 100, stacatto = 20)  
EndStructure

Structure QBSong
  parse.QBSong_ParseData
  tone.QBSong_ToneData
  lengthMs.l          ; holding length of song in ms
  lpWAV.l             ; holding pointer to created WAV-file in memory
  WAVdataLen.l        ; holding the length in bytes of WAV-data-chunk
  lpSound.l           ; holding handle to sound for usage with PB's sound-commands
EndStructure

; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 6
; Folding = -